| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LogFile Struct Referencefinal

Holds informations about a log file. More...

`#include <lib.h>`

## Public Member Functions
bool | isSelected () const noexcept
| Returns whether the file has been selected to be used or not.
void | setSelected () noexcept
| Sets the file as selected.
void | setUnselected () noexcept
| Sets the file as unselected.
bool | hasBeenUsed () const noexcept
| Returns whether the file has been used already or not.
size_t | size () const noexcept
| Returns the size of the file.
const QString & | name () const noexcept
| Returns the name of the file, to be displayed in the list.
const std::string & | hash () const noexcept
| Returns the sha256 hash of the content.
const std::string & | path () const noexcept
| Returns the path of the file, including the file name.

## Detailed Description

Holds informations about a log file.

The documentation for this struct was generated from the following file:

- logdoctor/modules/craplog/modules/lib.h